View unanswered posts    View active topics

All times are UTC - 6 hours





Post new topic Reply to topic  [ 7 posts ] 
Print view Previous topic   Next topic  
Author Message
Search for:
PostPosted: Sat Jan 19, 2008 5:32 pm 
Offline
Joined: Fri Jan 18, 2008 9:17 pm
Posts: 14
I just installed KnoppMyth for the first time and I am trying to get everything working. I'm getting there!

I did a manual install, but I don't recall ever seeing the point where I can choose between 586/686 versions, or xvmc/non-xvmc. I know I need the 686 & xvmc version (with Lirc support), but I fear I have the default 586 build. Where cna I tell? Can I change this after install? I've already installed/configured some things and I want to keep as much as possible.

Thanks in advance.


Top
 Profile  
 
 Post subject:
PostPosted: Sat Jan 19, 2008 6:24 pm 
Offline
Joined: Thu Mar 25, 2004 11:00 am
Posts: 9551
Location: Arlington, MA
This is no longer relevant with modern versions. After Cecil determined that the performance difference between compiling for 586 versus 686 was only a couple % he switched to a single version. All modern versions also include XvMC support out of the box. To enable it simply go into the configuration screens and select XvMC as your MPEG decoder.

The current version, which you should be using for new installs, is R5F27. (See this thread for more on version naming and the current versions - http://knoppmyth.net/phpBB2/viewtopic.php?t=13537) Please read the R5F27 Hints linked below for more information and errata.


Top
 Profile  
 
 Post subject:
PostPosted: Sat Jan 19, 2008 6:55 pm 
Offline
Joined: Fri Jan 18, 2008 9:17 pm
Posts: 14
Yes, I have done so. Great! That's why I didn't get that option. Maybe I'll update the wiki soon. Now to install the newer nvidia driver--I'm having problems there too: http://www.nvnews.net/vbulletin/showthr ... ost1524926


Top
 Profile  
 
 Post subject:
PostPosted: Sun Jan 20, 2008 1:17 am 
Offline
Joined: Thu Mar 25, 2004 11:00 am
Posts: 9551
Location: Arlington, MA
You'd probably be better off either sticking with the supplied version or possibly _downgrading_ to an older one if you have a problem video card. Please see the links in the R5F27 Hints.

You seem to be making this much more complicated than it should be.


Top
 Profile  
 
 Post subject:
PostPosted: Wed Jan 23, 2008 9:14 pm 
Offline
Joined: Fri Jan 18, 2008 9:17 pm
Posts: 14
Really? In my previous gentoo installation, xvmc performed much better under version 100 nvidia drivers than in the pre-100 drivers. As it is now, my playback isn't seemingly using xvmc fully: high-def is unwatchable (prebuffering pauses and 100% CPU usage). Does anyone know how I can tell whether Myth playback is using the IDCT acceleration or if it is merely doing motion compensation? (I know it is indeed using xvmc due to the grey OSD I get in myth)

I don't think I have a problem video card--it is a rather ordinary GF 6200.

Any further hints on how to install 100 or later version of nvidia drivers? The hints thread looks like a really good resource; I have bookmarked it. Thanks for your advice and help; it is much appreciated.


Top
 Profile  
 
 Post subject:
PostPosted: Thu Jan 24, 2008 9:58 pm 
Offline
Joined: Tue Apr 04, 2006 8:50 pm
Posts: 6
Try this, it worked for me. I'm running 169.09
Code:
cd /usr/src/linux-headers-2.6.18-chw-13/include/linux/
mv i2c-id.h i2c-id.h.old
wget http://lm-sensors.org/svn/i2c/trunk/kernel/i2c-id.h


Its a variation of what I found in this thread.


Top
 Profile  
 
 Post subject:
PostPosted: Sun Jan 27, 2008 3:50 pm 
Offline
Joined: Fri Jan 18, 2008 9:17 pm
Posts: 14
Wow, thanks, that worked! After getting an actual i2c-id.h from that url, I was able to run the nvidia installer, which did everything for me! Of course, the nvidia installer overwrote my xorg.conf, which I didn't want, so I copied back the old one. However, recorded programs didn't play under 169 (I got my old "Bad NV17 texture" errors), so I tried the latest version of 100 and it worked beautifully!

Thanks a ton. Now to work on lirc...


Top
 Profile  
 

Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 7 posts ] 


All times are UTC - 6 hours




Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Group

Theme Created By ceyhansuyu